Originally Published: Thursday, 3 February 2000 Author: Terry Warner
Published to: news_enhance_games/Games News Page: 1/1 - [Printable]

New Voodoo2/Voodoo Banshee/Voodoo3 Glide Packages

There is are new Glide releases for Voodoo2, Voodoo Banshe, and Voodoo3 available. These Glide releases are for use with the stand alone (non-DRI) based drivers. These drivers should be used in conjunction with XFree86 3.x. Follow the link for the full release.

   Page 1 of 1  

There is are new Glide releases for Voodoo2, Voodoo Banshe, and Voodoo3 available. These Glide releases are for use with the stand alone (non-DRI) based drivers. These drivers should be used in conjunction with XFree86 3.x.

Changes for Voodoo2 Glide:

This Glide packages now contains Glide2.53 and Glide3.01 in a single package. This should make installation easier. This should also help to fix the problems people are having in getting Glide2.53 working for Voodoo2.

The files Glide_V2-2.53-3.i386.rpm and Glide_V2-2.53-3.i386.glibc2.0.rpm are now available on the following page:
http://linux.3dfx.com/open_source/download/voodoo2.htm

Please follow the instructions on the above page to install this package. As the instructions will explain, it is recommended that you uninstall previous Glide package(s) before proceeding.

With this combined Glide package comes a combined Glide SDK. It is recommended that you install the new SDK even if you do not plan to develop Glide based programs. Other important graphics libraries such as Mesa, require the Glide SDK to build.

Note: The new Glide SDK installs both Glide2x and Glide3x header files, previously the Glide3x_devel package installed its header files in
    /usr/include/glide
This path conflicts with the path for the Glide2x header files so the new SDK installs the Glide3x headers in
    /usr/include/glide3
If you are developing Glide3x based software please update your software to use this new path.

The file Glide_SDK-2.2-11.i386.rpm is now available on the following page:
http://linux.3dfx.com/open_source/download/voodoo3_banshee.htm

Changes for Voodoo2, Voodoo Banshee and Voodoo3 Glide:

These new releases have the following new features:

  • Includes both Glide2.53 and Glide3.01 in one package for Voodoo2 The rpm packages no longer collide with one another, thereby making installation much easier. Voodoo3 has already had a similar update.
  • Rebuilding the Glide source rpm's no longer requires the compatbility tools. (i386-glibc20-linux-gcc)
  • The Glide library names have changed from libglide2x.so and libglide3.so to libglide.so.2.53 and libglide3.so.3.01 respectively for Voodoo2 and to libglide.so.2.60 and libglide3.so.3.10 for Voodoo Banshee and Voodoo3. This change should be of special note to developers as it is recommened that they change their build scripts to use the new library names. Symlinks to old library names are created by the package for compatibility with existing build scripts and binary applications.
  • The source for Glide is now capable of building with PIC support, however, this is not compiled into this release.
  • There are no other functionality changes in this release.

If you experienced trouble installing previous revisions of Glide due to difficulties in package installation please try this new release. with kernel headers please try this new release. If you experience difficulty installing this driver please direct your questions to the USENET newsgroup 3dfx.glide.linux.

Again note that These releases does NOT work with the DRI/XFree86 4.0 based drivers.





   Page 1 of 1